Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get Item Scheduled Jobs

Retrieves all scheduled jobs associated with a specific item (product, tag, image, price, or variant). Returns all pending jobs for the item.

GET/api/v1/{team_slug}/{app_slug}/schedule/{item_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

item_idstringrequired

Item ID. e.g product UUID

Responses
200

Job is scheduled

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
add_category_namesstring[]
add_collection_namesstring[]
add_tag_namesstring[]
execute_atstring

Date when the job should run

finished_atstring | null

If a job is finished will this timestamp be filled

group_idstring
idstring
item_idstring
item_namestring
item_typestring
remove_category_namesstring[]
remove_collection_namesstring[]
remove_tag_namesstring[]
to_amount_cents_with_taxinteger | null
to_market_idstring
to_market_statusstring
to_on_saleboolean | null
to_sale_amount_cents_with_taxinteger | null
to_start_sale_timestampstring
to_statusstring | null
to_stop_sale_timestampstring
to_store_group_idstring
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/schedule/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "add_category_names": [
        "string"
      ],
      "add_collection_names": [
        "string"
      ],
      "add_tag_names": [
        "string"
      ],
      "execute_at": "string",
      "finished_at": "string",
      "group_id": "string",
      "id": "string",
      "item_id": "string",
      "item_name": "string",
      "item_type": "string",
      "remove_category_names": [
        "string"
      ],
      "remove_collection_names": [
        "string"
      ],
      "remove_tag_names": [
        "string"
      ],
      "to_amount_cents_with_tax": 0,
      "to_market_id": "string",
      "to_market_status": "string",
      "to_on_sale": true,
      "to_sale_amount_cents_with_tax": 0,
      "to_start_sale_timestamp": "string",
      "to_status": "string",
      "to_stop_sale_timestamp": "string",
      "to_store_group_id": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}